
Name:           msoffice-electron
Version:        1.2.0
Release:        %mkrel 1
Summary:     Microsoft Office 365 - Electron
Group:          Office
License:        GPLv3+
URL:              https://github.com/agam778/MS-365-Electron/releases/
Source1:      %{name}.desktop
Source2:      %{name}.png
#-----------------------------------------------------------------

%description
Microsoft Office - Electron is the app in which the Web Version of Microsoft Office is wrapped into a
Cross-Platform App with Electron. And all the Services of Microsoft Office will work for free free free.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/agam778/MS-365-Electron/releases/download/v%{version}/MS-365-Electron-v%{version}-linux-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/MS-365-Electron-v%{version}-linux-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus

%changelog
* Mon Apr 01 2024 tex - 1.2.0-1pclos2024
- new version

* Mon Jan 08 2024 tex - 1.1.0-1pclos2024
- new version

* Tue Aug 15 2023 tex- 1.0.0-1pclos2023
- new version

* Tue Feb 28 2023 tex - 0.8.1-1pclos2023
- new version

* Tue Nov 29 2022 tex - 0.8.0-1pclos2022
- new version

* Sat Oct 08 2022 tex - 0.7.3-1pclos2022
- new version

* Sun May 22 2022 tex - 0.7.2-1pclos2022
- new version

* Tue Apr 19 2022 tex - 0.6.0-1pclos2022
- new version

* Tue Mar 22 2022 tex - 0.5.2-1pclos2022
- new version

* Wed Mar 02 2022 tex - 0.5.0-1pclos2022
- new version

* Thu Feb 10 2022 tex - 0.4.5-1pclos2022
- new version

* Fri Nov 12 2021 tex - 0.4.0-1pclos2021
- new version

* Mon Nov 08 2021 tex - 0.3.7-1pclos2021
- new version

* Thu  Nov 04 2021 tex - 2021.11-1pclos2021
- create pkg
